QT	+= core gui concurrent
QT	+= KItemViews
QT	+= KCompletion
QT	+= widgets
QT	+= KConfigCore KConfigGui
QT	+= KCoreAddons
QT	+= KDBusAddons

#LIBS += -lKF5WindowSystem
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    downloadfile.cpp \
    main.cpp \
    mainwindow.cpp \
    tools.cpp

HEADERS += \
    downloadfile.h \
    mainwindow.h \
    tools.h

FORMS += \
    configuration.ui \
    mainwindow.ui

TRANSLATIONS += \
    languages/fr_FR/RsyncUI_fr_FR.ts

INCLUDEPATH += \
    /usr/include/KF5

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /usr/bin/
!isEmpty(target.path): INSTALLS += target

lang.path = /languages/fr_FR/
lang.files = languages/fr_FR/*
INSTALLS += lang
INSTALLS += documentation
INSTALLS += desktopfile
INSTALLS += icon

RESOURCES +=

DISTFILES += \
	RsyncUI.desktop

documentation.path = /usr/share/doc/RsyncUI
documentation.files = README*
desktopfile.path = /usr/share/applications
desktopfile.files = RsyncUI.desktop
icon.path = /usr/share/icons/
icon.files = RsyncUI.png
